classification
Title: PEP 3149 (versioned .so files) reference implementation
Type: enhancement Stage: resolved
Components: Build Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: barry Nosy List: Arfrever, amaury.forgeotdarc, barry, dmalcolm, eric.araujo
Priority: normal Keywords: patch

Created on 2010-07-07 18:33 by barry, last changed 2010-09-03 18:33 by barry. This issue is now closed.

Files
File name Uploaded Description Edit
pep3149.txt barry, 2010-08-17 21:05
Messages (7)
msg109489 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-07-07 18:33
As described in the thread started here:

http://mail.python.org/pipermail/python-dev/2010-June/100998.html

this bug requests that a new configure option called --with-so-abi-tag be added to Python 3.2 to support sharing of .so files for different versions of Python.
msg109490 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-07-07 18:36
Attaching patch from live branch living here:

https://code.edge.launchpad.net/~barry/python/sovers
msg109937 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2010-07-10 21:16
In build_ext, your modifications to get_ext_filename do not update the docstring, although it contains a comment documenting the handling of ext.so_abi_tag. They also use str.rpartition, not available in 2.3, with which distutils has to remain compatible as per PEP 291.
msg110144 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-07-12 21:30
Actually, the changes to distutils are not strictly necessary for PEP 3149 implementation (what the PEP-in-progress will be numbered).  Once PEP 384 is implemented, it might be useful, but OTOH there might be a better way to support that.

In any case, here's a new patch that just provides the configure switch.
msg111178 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-07-22 14:39
Updated patch.
msg111223 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2010-07-22 22:40
Should the change also apply to Windows?
on Windows, there is no "configure" phase, but the file PC/pyconfig.h is maintained manually.
msg111253 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-07-23 08:27
I'd love it if Windows was also supported, but right now I don't have the cycles to make and test the changes, or the expertise to understand any related Windows issues.  I've mentioned this in PEP 3149, and I'd happily accept code and PEP updates for Windows.
History
Date User Action Args
2010-09-03 18:33:32barrysetstatus: open -> closed
resolution: accepted
stage: patch review -> resolved
2010-08-17 21:05:54barrysetfiles: + pep3149.txt
title: Versioned .so files -> PEP 3149 (versioned .so files) reference implementation
2010-08-17 21:04:31barrysetfiles: - diff.txt
2010-08-17 21:04:29barrysetfiles: - 2010-07-12.txt
2010-08-17 21:04:25barrysetfiles: - preview.diff
2010-07-23 08:27:36barrysetmessages: + msg111253
2010-07-22 22:40:10amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg111223
2010-07-22 14:39:35barrysetfiles: + diff.txt

messages: + msg111178
2010-07-12 21:30:10barrysetfiles: + 2010-07-12.txt

messages: + msg110144
2010-07-10 21:16:46eric.araujosetnosy: + eric.araujo
messages: + msg109937
2010-07-07 20:01:33Arfreversetnosy: + Arfrever
2010-07-07 18:37:15dmalcolmsetnosy: + dmalcolm
2010-07-07 18:36:34barrysetfiles: + preview.diff

messages: + msg109490
2010-07-07 18:33:45barrysetstage: patch review
2010-07-07 18:33:26barrycreate